org.vertx.java.core.http

## Enum WebSocketVersion

- java.lang.Object
- - java.lang.Enum<WebSocketVersion>
  - - org.vertx.java.core.http.WebSocketVersion

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<WebSocketVersion>

    public enum WebSocketVersion
    extends java.lang.Enum<WebSocketVersion>

Represents the version of the WebSockets specification

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`HYBI_00`
`HYBI_08`
`RFC6455`

### Method Summary

Methods
`static WebSocketVersion` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WebSocketVersion[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### HYBI_00

    public static final WebSocketVersion HYBI_00

#### HYBI_08

    public static final WebSocketVersion HYBI_08

#### RFC6455

    public static final WebSocketVersion RFC6455

### Method Detail

#### values

    public static WebSocketVersion[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (WebSocketVersion c : WebSocketVersion.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static WebSocketVersion valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null